Skip to main content
GET
Get asset

Path Parameters

asset_type
enum<string>
required

Classification of the asset (fiat, crypto, stablecoin, or xstock).

Available options:
fiat,
crypto,
xstock,
stablecoin
asset_symbol
string
required

Ticker symbol of an asset (e.g., BTC, USDC, EUR).

Required string length: 1 - 16

Query Parameters

country
string
required

ISO 3166-1 alpha-2 country code used to apply geo restrictions (e.g., "US", "GB"). Required.

Pattern: ^[A-Z]{2}$
quote_symbol
string
default:USD

Ticker symbol of the quote asset for valuations.

Required string length: 1 - 16
quote_type
enum<string>
default:fiat

Classification of the quote asset. Pair with quote_symbol to disambiguate when the same ticker exists across asset classes.

Available options:
fiat

Response

Successful response

data
object
required

The requested asset.

quote_symbol
string
required

Quote asset symbol the prices are denominated in.

quote_type
enum<string>
required

Classification of the quote asset.

Available options:
fiat